package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 图表配置 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvChartConfigDao;
import com.heyu.api.data.entity.vv.VvChartConfigEntity;
import com.heyu.api.data.service.vv.VvChartConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvChartConfigServiceImpl extends ServiceImpl<VvChartConfigDao, VvChartConfigEntity> implements VvChartConfigService {


    @Autowired
	private VvChartConfigDao vvChartConfigDao;



	@Override
	public VvChartConfigEntity selectVvChartConfigById(Long id){
		return vvChartConfigDao.selectVvChartConfigById(id);
	}



	@Override
	public Long insertVvChartConfig(VvChartConfigEntity vvChartConfig){
		return vvChartConfigDao.insertVvChartConfig(vvChartConfig);
	}



	@Override
	public Long insertOrUpdateVvChartConfig(VvChartConfigEntity vvChartConfig){
		return vvChartConfigDao.insertOrUpdateVvChartConfig(vvChartConfig);
	}



	@Override
	public int updateVvChartConfigById(VvChartConfigEntity vvChartConfig){
		return vvChartConfigDao.updateVvChartConfigById(vvChartConfig);
	}



	@Override
	public int updateCoverVvChartConfigById(VvChartConfigEntity vvChartConfig){
		return vvChartConfigDao.updateCoverVvChartConfigById(vvChartConfig);
	}



	@Override
	public int deleteVvChartConfigById(Long id){
		return vvChartConfigDao.deleteVvChartConfigById(id);
	}



}
